## javax.servlet
Interface AsyncIOOutputSink

All Known Implementing Classes:
  ServletOutputStream, ServletWriter

    public interface AsyncIOOutputSink

This interface defines methods to allow an `ServletOutputStream` or `ServletWriter` to allow the developer to check with the runtime whether or not it's possible to write data, or if it's not possible, to be notified when it is.

Since:
  Servlet 3.1

Method Summary
`boolean` `canWrite(int size)`

Method Detail

### canWrite

    boolean canWrite(int size)

  Returns:
    `true` if a write to this `AsyncIOOutputSink` will succeed, otherwise returns `false`.

Copyright © 2012 GlassFish Community. All Rights Reserved.